# Draw
TKXSDRAW
XSDRAWSTLVRML

# XSDRAWSTLVRML_DataMapNodeOfCoordsMap Class Reference

`#include <XSDRAWSTLVRML_DataMapNodeOfCoordsMap.hxx>`

## Public Member Functions

| XSDRAWSTLVRML_DataMapNodeOfCoordsMap (const Standard_Integer &K, const TColStd_DataMapOfIntegerReal &I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
TColStd_DataMapOfIntegerReal & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
TColStd_DataMapOfIntegerReal | myValue

## Constructor & Destructor Documentation

XSDRAWSTLVRML_DataMapNodeOfCoordsMap::XSDRAWSTLVRML_DataMapNodeOfCoordsMap | ( | const Standard_Integer & | K,
|  | const TColStd_DataMapOfIntegerReal & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const XSDRAWSTLVRML_DataMapNodeOfCoordsMap::Handle | ( | Standard_Type |  | ) | const

Standard_Integer& XSDRAWSTLVRML_DataMapNodeOfCoordsMap::Key | ( |  | ) | const

TColStd_DataMapOfIntegerReal& XSDRAWSTLVRML_DataMapNodeOfCoordsMap::Value | ( |  | ) | const

## Field Documentation

Standard_Integer XSDRAWSTLVRML_DataMapNodeOfCoordsMap::myKey `[private]`

TColStd_DataMapOfIntegerReal XSDRAWSTLVRML_DataMapNodeOfCoordsMap::myValue `[private]`

The documentation for this class was generated from the following file:

- XSDRAWSTLVRML_DataMapNodeOfCoordsMap.hxx